Subject: bug#6922: 23.1; Setting read-only property in an overlay has no effect

From: John Wiegley <[email-masked]>
Date: Thu, 18 Feb 2016 10:53:00 -0800

>>>>> Eli Zaretskii <[email-masked]> writes:

> If you are arguing for having a feature that marks some portion of buffer
> text read-only, then we already have that: the 'read-only' text property.
> The issue in this discussion is whether we should _also_ have a similar
> overlay property.

That said, I think the right way to implement clock-masking in Org would be to
use an overlay whose existence is tied to the clock. A text-property might be
incompatible with the way Org uses font-locking.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2